Skip to main content
`Ctrl`+`K`

# PetscDSSetConstants

Set the array of constants passed to point functions from a `PetscDS`

## Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSSetConstants(PetscDS ds, PetscInt numConstants, PetscScalar constants[])

Not Collective

## Input Parameters

- ds - The `PetscDS` object

- numConstants - The number of constants

- constants - The array of constants, `NULL` if there are none

## See Also

`PetscDS`, `PetscDSGetConstants()`, `PetscDSCreate()`

## Level

intermediate

## Location

src/dm/dt/interface/dtds.c

## Examples

src/snes/tutorials/ex36.c
src/snes/tutorials/ex64.c
src/snes/tutorials/ex12.c
src/snes/tutorials/ex62.c
src/snes/tutorials/ex69.c
src/snes/tutorials/ex27.c
src/snes/tutorials/ex76.c
src/snes/tutorials/ex71.c
src/snes/tutorials/ex34.c
src/snes/tutorials/ex17.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages